Why do I need to upgrade the software on a V400m terminal?

With the V400m payment terminal, there was an issue where the battery was unable to recharge if it was completely discharged. We solved this in release V1.50.

For this reason, you need to upgrade the software on these terminals to V1.50 (or later) before (re)opening your store. Recharging will still be slow initially, so leave the V400m plugged in to a power source for at least 24 hours.

Was this article helpful?
0 out of 1 found this helpful